# Uses of Class
org.mariadb.jdbc.MariaDbPoolConnection

Packages that use MariaDbPoolConnection
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.export

## Uses of MariaDbPoolConnection in org.mariadb.jdbc

Methods in org.mariadb.jdbc with parameters of type MariaDbPoolConnection
Modifier and Type
Method
Description
`void`
Connection.`setPoolConnection(MariaDbPoolConnection poolConnection)`
Internal method.

## Uses of MariaDbPoolConnection in org.mariadb.jdbc.export

Methods in org.mariadb.jdbc.export with parameters of type MariaDbPoolConnection
Modifier and Type
Method
Description
`ExceptionFactory`
ExceptionFactory.`setPoolConnection(MariaDbPoolConnection internalPoolConnection)`
Set pool connection to factory
Constructors in org.mariadb.jdbc.export with parameters of type MariaDbPoolConnection
Modifier
Constructor
Description
``
`SqlExceptionFactory(Connection connection, MariaDbPoolConnection poolConnection, Configuration conf, HostAddress hostAddress, long threadId, Statement statement, String sql)`
Constructor of Exception factory with SQL